import 'package:firebase_core/firebase_core.dart';
import 'package:flutter/material.dart';
import 'package:white_auth/auth/auth_home.dart';
import 'package:white_auth/auth/auth_routes.dart';
import 'package:white_auth/auth/contact.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();

  Firebase.initializeApp();

  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'White Auth example',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      routes: {
        ...whiteAuthRoutes,
        "/contact": (context) => const ContactUs(
              email: "",
              website: "https://unitut.ml",
              twitter: "",
              facebook: "https://facebook.com/UnivTut",
            ),
      },
      home: const AuthHome(
        appName: "White Auth",
      ),
    );
  }
}
