import 'package:flutter/material.dart';

/// The main screen for this plugin. Use this as a starting point
/// preferably the first auth screen whenever auth process starts
/// [appName] is the name of the screen, default is authentication
class AuthHome extends StatelessWidget {
  /// The displayed auth home screen message, e.g Application Name
  final String appName;
  const AuthHome({
    Key? key,
    required this.appName,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text("Authentication"),
      ),
      body: Column(
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        children: <Widget>[
          Text(
            "Welcome to $appName",
            style: Theme.of(context).textTheme.headline4,
            textAlign: TextAlign.center,
          ),
          Card(
            child: ListTile(
              title: const Text("Login"),
              subtitle: const Text(
                  "Login to the system, if you are already a member"),
              onTap: () {
                //go to the login screen
                Navigator.of(context).pushNamed("/login");
              },
            ),
          ),
          Card(
            child: ListTile(
              title: const Text("Register"),
              subtitle:
                  const Text("Register to the system, if you are a new member"),
              onTap: () {
                //go to the login screen
                Navigator.of(context).pushNamed("/register");
              },
            ),
          ),
          Card(
            child: ListTile(
              title: const Text("Contact US"),
              subtitle: const Text("If you are experiencing a problem"),
              onTap: () {
                //go to the login screen
                Navigator.of(context).pushNamed("/contact");
              },
            ),
          ),
        ],
      ),
    );
  }
}
